<?php 
include('nf_config.php');
include('menu_side.php');

if(isset($_REQUEST['editId']) and $_REQUEST['editId']!=""){
	$row	=	$db->getAllRecords('categs','*',' AND cid="'.$_REQUEST['editId'].'"');
}

if(isset($_REQUEST['submit']) and $_REQUEST['submit']!=""){
	extract($_REQUEST);
	if($code_categ_group==""){
		header('location:'.$_SERVER['PHP_SELF'].'?msg=un&editId='.$_REQUEST['editId']);
		exit;
	}elseif($code_categ==""){
		header('location:'.$_SERVER['PHP_SELF'].'?msg=ue&editId='.$_REQUEST['editId']);
		exit;
	}elseif($desc_categ==""){
		header('location:'.$_SERVER['PHP_SELF'].'?msg=ue&editId='.$_REQUEST['editId']);
		exit;
	}elseif($um==""){
		header('location:'.$_SERVER['PHP_SELF'].'?msg=ue&editId='.$_REQUEST['editId']);
		exit;		
	}
	/*elseif($comm_categ==""){
		header('location:'.$_SERVER['PHP_SELF'].'?msg=ue&editId='.$_REQUEST['editId']);
		exit;
	}*/
	
	$data	=	array(
					'code_categ_group'=>$code_categ_group,
					'code_categ'=>$code_categ,					
					'desc_categ'=>$desc_categ,
					'um'=>$um,					
					'comm_categ'=>$comm_categ,
					'isgroup'=>$isgroup
					);
	$update	=	$db->update('categs',$data,array('cid'=>$editId));
	if($update){
		header('location: nf_categs.php?msg=rus&pid='.$pid.'&xuid='.$xuid.'&lang='.$lang);
		exit;
	}else{
		header('location: nf_categs.php?msg=rnu&pid='.$pid.'&xuid='.$xuid.'&lang='.$lang);
		exit;
	}
}
?>
<!doctype html>
<html lang="en-US" class="no-js">
<head>
	<meta charset="UTF-8">
	<meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
	<title><?php echo $n_categs ?></title>
	
    <link rel="stylesheet" href="./bootstrap/css/bootstrap.css" >
    <link rel="stylesheet" href="./fontawesome/css/all.css" >

<?php include('nf_chosen01.php'); ?>

</head>

<body>
	
	<div class="container">
		<?php
		if(isset($_REQUEST['msg']) and $_REQUEST['msg']=="un"){
			echo	'<div class="alert alert-danger"><i class="fa fa-exclamation-triangle"></i> $field_mand field!</div>';
		}elseif(isset($_REQUEST['msg']) and $_REQUEST['msg']=="ue"){
			echo	'<div class="alert alert-danger"><i class="fa fa-exclamation-triangle"></i> $field_mand field!</div>';
		}elseif(isset($_REQUEST['msg']) and $_REQUEST['msg']=="ras"){
			echo	'<div class="alert alert-success"><i class="fa fa-thumbs-up"></i> $recadded</div>';
		}elseif(isset($_REQUEST['msg']) and $_REQUEST['msg']=="rna"){
			echo	'<div class="alert alert-danger"><i class="fa fa-exclamation-triangle"></i> $recaddedno <strong> $tryagain </strong></div>';
		}
		?>
		<div class="card">
			<div class="card-header"><i class="fa fa-fw fa-plus-circle"></i> <strong> <?php echo $nedit." ".$n_categ;  ?> </strong> <a href="nf_categs.php?pid=<?php echo $pid ?>&xuid=<?php echo $xuid ?>&lang=<?php echo $lang ?>" class="float-end btn btn-dark btn-sm"><i class="fa fa-fw fa-globe"></i> <?php echo $nbrowse." ".$n_categs;  ?></a></div>
			<div class="card-body">
				
				<div class="col-sm-6">
					<h6 class="card-title"><?php echo $nfields_with ?> <span class="text-danger">*</span> <?php echo $nmandatory ?></h6>
					<form method="post">
					
					<?php 
						$code_categx = $row[0]['code_categ']; 
						$desc_categx = $row[0]['desc_categ']; 
						$umx 		 = $row[0]['um']; 
						$comm_categx = $row[0]['comm_categ']; 	
						$isgroupx 		= $row[0]['isgroup']; 												
					
					?>
						<div class="mb-3">
							<label><?php echo $n_categ_group ?><span class="text-danger">*</span></label>
							<!-- input type="text" name="code_categ_group" id="code_categ_group" class="form-control" value="<?php echo $row[0]['code_categ_group']; ?>" placeholder="<?php echo $nenter." ".$n_categ; ?>" required -->

									<?php 
									echo "<select name='code_categ_group' id='code_categ_group' class='chosen form-control' > ";
									include('r_dbc.php');
											$sql = "select 1 as ordr,code_categ_group,desc_categ_group
											from categs_groups c
											where pid = '".$pid."'
											and code_categ_group = '".$row[0]['code_categ_group']."'
											union
											select 2 as ordr,code_categ_group,desc_categ_group
											from categs_groups c
											where pid = '".$pid."'
											and code_categ_group != '".$row[0]['code_categ_group']."'
											order by 1,2";
									$result = mysqli_query($conn, $sql);
									if (mysqli_num_rows($result) > 0) {
										  while($row = mysqli_fetch_assoc($result)) {
											printf ("<option value = '".$row["code_categ_group"]."' > ".$row["code_categ_group"]." ".$row["desc_categ_group"]." </option>");
											}
										}
									mysqli_close($conn);
									echo "</select>"; 
									?>
							
						</div>											
					
					
						<div class="mb-3">
							<label><?php echo $n_categ ?><span class="text-danger">*</span></label>
							<input type="text" name="code_categ" id="code_categ" class="form-control" value="<?php echo $code_categx ?>"  required>
						</div>						
						<div class="mb-3">
							<label><?php echo $ndesc ?><span class="text-danger">*</span></label>
							<input type="text" name="desc_categ" id="desc_categ" class="form-control" value="<?php echo $desc_categx  ?>"  required>
						</div>
						
						<div class="mb-3">
							<label><?php echo $num ?></label>

									<?php 
									echo "<select name='um' id='um' class='form-control' > ";
									include('r_dbc.php');
											$sql = "select 1 as ordr,um
											from um
											where um = '".$umx."'
											union
											select 2 as ordr,um
											from um
											where um != '".$umx."'
											order by 1,2";
									$result = mysqli_query($conn, $sql);
									if (mysqli_num_rows($result) > 0) {
										  while($row = mysqli_fetch_assoc($result)) {
											printf ("<option value = '".$row["um"]."' > ".$row["um"]." </option>");
											}
										}
									mysqli_close($conn);
									echo "</select>"; 
									?>
							
						</div>																	
						
						<div class="mb-3">
							<label><?php echo $ncomms ?></label>
							<input type="text" name="comm_categ" id="comm_categ" class="form-control" value="<?php echo $comm_categx ?>"  >
						</div>						

						<div class="mb-3">

							<label><?php echo $nsubgroupd ?></label>

									<?php 
									
									
									
											$sql = "select 1 as ordr, code_categ,concat(code_categ,'-',desc_categ) as desc_categ1
											from categs
											where pid = '".$pid."'
											and code_categ = '".$isgroupx."'
											UNION
											select 2 as ordr, code_categ,concat(code_categ,'-',desc_categ) as desc_categ1
											from categs
											where pid = '".$pid."'
											and isgroup = 'GRP1'
											and code_categ != '".$isgroupx."'									
											order by ordr";																				
									
									
									
									echo "<select name='isgroup' id='isgroup' class='form-control chosen' > ";
									
																		
																		
									if ($isgroupx == 'GRP0') 
										{ 
											$desc_categ_isgroup = strtoupper($nnot." ".$ngroupd); 
											printf ("<option value = '%s' > %s </option>", $isgroupx,$desc_categ_isgroup);											
											printf ("<option value = 'GRP1' > %s </option>", strtoupper($ngroupd));																						
											include('r_dbc.php');
											$result = mysqli_query($conn, $sql);
											if (mysqli_num_rows($result) > 0) {
												  while($row = mysqli_fetch_assoc($result)) {
													printf ("<option value = '%s' > %s </option>", $row["code_categ"],$row["desc_categ1"]);
													}
												}
											mysqli_close($conn);											
										}
									else if ($isgroupx == 'GRP1') 
										{ 
											$desc_categ_isgroup = strtoupper($ngroupd); 
											printf ("<option value = '%s' > %s </option>", $isgroupx,$desc_categ_isgroup);										
											printf ("<option value = 'GRP0' > %s </option>", strtoupper($nnot." ".$ngroupd));											
											include('r_dbc.php');
											$result = mysqli_query($conn, $sql);
											if (mysqli_num_rows($result) > 0) {
												  while($row = mysqli_fetch_assoc($result)) {
													printf ("<option value = '%s' > %s </option>", $row["code_categ"],$row["desc_categ1"]);
													}
												}
											mysqli_close($conn);											
											}
									else {									
											include('r_dbc.php');
											$result = mysqli_query($conn, $sql);
											if (mysqli_num_rows($result) > 0) {
												  while($row = mysqli_fetch_assoc($result)) {
													printf ("<option value = '%s' > %s </option>", $row["code_categ"],$row["desc_categ1"]);
													}
												}
											mysqli_close($conn);
									printf ("<option value = 'GRP0' > %s </option>", strtoupper($nnot." ".$ngroupd));											
									printf ("<option value = 'GRP1' > %s </option>", strtoupper($ngroupd));											
									}
								
									echo "</select>"; 
									?>

						</div>												

						
						<div class="mb-3">
							<input type="hidden" name="editId" id="editId" value="<?php echo $_REQUEST['editId']?>">
							<button type="submit" name="submit" value="submit" id="submit" class="btn btn-primary"><i class="fa fa-fw fa-edit"></i> <?php echo $nupdate." ".$n_categ;  ?></button>
						</div>
					</form>
				</div>
			</div>
		</div>
	</div>
    
    <script src="./jquery-3.4.1.js"></script>
    <script src="popper.min.js" ></script>
    <script src="./bootstrap/js/bootstrap.min.js" ></script>
    
</body>
<?php include('nf_chosen02.php'); ?>
</html>